Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb
Class StatelessSessionContainer

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.ejb.Container
                  org.jboss.ejb.SessionContainer
                      org.jboss.ejb.StatelessSessionContainer

All Implemented Interfaces:
  AllowedOperationsFlags, ContainerMBean, EJBProxyFactoryContainer, InstancePoolContainer, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, org.jboss.system.Service, org.jboss.system.ServiceMBean

public class StatelessSessionContainer
extends SessionContainer
implements EJBProxyFactoryContainer, InstancePoolContainer

The container for stateless session beans.

Version:
  $Revision: 1.60 $
Author:
  Rickard �berg, Marc Fleury, Daniel OConnor, Christoph G. Jung

Nested Class Summary

Nested classes inherited from class org.jboss.ejb.Container
`Container.AbstractContainerInterceptor`

Field Summary

Fields inherited from class org.jboss.ejb.SessionContainer
`beanMapping, homeMapping, instancePool, interceptor, serviceEndpoint`

Fields inherited from class org.jboss.ejb.Container
`BASE_EJB_CONTAINER_NAME, beanClass, classLoader, createCount, EJB_CONTAINER_QUERY_NAME, EJB_TIMEOUT, ejbModule, EJBOBJECT_REMOVE, homeInterface, invokeStats, jaccContextID, localClassLoader, localHomeInterface, localInterface, localProxyFactory, lockManager, marshalledInvocationMapping, metaData, ORB_NAME, proxyFactories, proxyFactoryTL, remoteInterface, removeCount, rm, securityProxy, sm, tm, webClassLoader`

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Fields inherited from interface org.jboss.ejb.AllowedOperationsFlags
`IN_AFTER_BEGIN, IN_AFTER_COMPLETION, IN_BEFORE_COMPLETION, IN_BUSINESS_METHOD, IN_EJB_ACTIVATE, IN_EJB_CREATE, IN_EJB_FIND, IN_EJB_HOME, IN_EJB_LOAD, IN_EJB_PASSIVATE, IN_EJB_POST_CREATE, IN_EJB_REMOVE, IN_EJB_STORE, IN_EJB_TIMEOUT, IN_INTERCEPTOR_METHOD, IN_SERVICE_ENDPOINT_METHOD, IN_SET_ENTITY_CONTEXT, IN_SET_MESSAGE_DRIVEN_CONTEXT, IN_SET_SESSION_CONTEXT, IN_UNSET_ENTITY_CONTEXT, NOT_ALLOWED`

Constructor Summary
`StatelessSessionContainer()`

Method Summary
`javax.ejb.EJBObject` | `createHome()`
`javax.ejb.EJBLocalObject` | `createLocalHome()`
`void` | `remove(Invocation mi)` No-op.
`void` | `removeHome(javax.ejb.Handle handle)` No-op.
`void` | `removeHome(Object primaryKey)` No-op.
`void` | `removeLocalHome(Object primaryKey)` No-op.
`protected void` | `setupHomeMapping()` how home methods are treated by container

Methods inherited from class org.jboss.ejb.SessionContainer
`addInterceptor, checkCoherency, createInstanceCache, createInstancePool, createInterceptors, createInvokers, createPersistenceManager, createService, destroyInstanceCache, destroyInstancePool, destroyInterceptors, destroyInvokers, destroyMarshalledInvocationMapping, destroyPersistenceManager, destroyService, getBeanMapping, getEJBHome, getEJBLocalHome, getEJBMetaDataHome, getEJBMetaDataHome, getHandle, getHomeHandleHome, getHomeHandleHome, getHomeMapping, getInstancePool, getInterceptor, getLocalProxyFactory, getPrimaryKey, getPrimaryKey, getServiceEndpoint, internalInvoke, internalInvokeHome, isIdentical, setInstancePool, setupBeanMapping, setUpBeanMappingImpl, setupMarshalledInvocationMapping, startInstanceCache, startInstancePool, startInterceptors, startInvokers, startPersistenceManager, startService, stopInstanceCache, stopInstancePool, stopInterceptors, stopInvokers, stopPersistenceManager, stopService`

Methods inherited from class org.jboss.ejb.Container
`addProxyFactory, createBeanClassInstance, getBeanClass, getBeanMetaData, getClassLoader, getCreateCount, getDeploymentInfo, getEjbModule, getEnvContext, getHomeClass, getInvokeStats, getJaccContextID, getJmxName, getLocalClass, getLocalClassLoader, getLocalHomeClass, getLockManager, getMessageDestination, getMethodPermissions, getProxyFactory, getRealmMapping, getRemoteClass, getRemoveCount, getSecurityManager, getSecurityProxy, getTimerService, getTransactionManager, getWebClassLoader, invoke, isCallByValue, lookupProxyFactory, removeTimerService, setBeanMetaData, setClassLoader, setDeploymentInfo, setEjbModule, setJaccContextID, setLocalClassLoader, setLockManager, setProxyFactory, setRealmMapping, setSecurityManager, setSecurityProxy, setTransactionManager, setWebClassLoader`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, destroy, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, stop`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.ejb.EJBProxyFactoryContainer
`getHomeClass, getLocalClass, getLocalHomeClass, getLocalProxyFactory, getProxyFactory, getRemoteClass`

Methods inherited from interface org.jboss.ejb.InstancePoolContainer
`getInstancePool`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Constructor Detail

### StatelessSessionContainer

    public StatelessSessionContainer()

Method Detail

### remove

    public void remove(Invocation mi)
                throws RemoteException,
                       javax.ejb.RemoveException

  No-op.

  Throws:
    `RemoteException`
    `javax.ejb.RemoveException`

### createLocalHome

    public javax.ejb.EJBLocalObject createLocalHome()
                                             throws javax.ejb.CreateException

  Throws:
    `javax.ejb.CreateException`

### removeLocalHome

    public void removeLocalHome(Object primaryKey)

  No-op.

### createHome

    public javax.ejb.EJBObject createHome()
                                   throws RemoteException,
                                          javax.ejb.CreateException

  Throws:
    `RemoteException`
    `javax.ejb.CreateException`

### removeHome

    public void removeHome(javax.ejb.Handle handle)
                    throws RemoteException,
                           javax.ejb.RemoveException

  No-op.

  Throws:
    `RemoteException`
    `javax.ejb.RemoveException`

### removeHome

    public void removeHome(Object primaryKey)
                    throws RemoteException,
                           javax.ejb.RemoveException

  No-op.

  Throws:
    `RemoteException`
    `javax.ejb.RemoveException`

### setupHomeMapping

    protected void setupHomeMapping()
                             throws NoSuchMethodException

  Description copied from class: `SessionContainer`
  how home methods are treated by container

  Specified by:
    `setupHomeMapping` in class `SessionContainer`
  Throws:
    `NoSuchMethodException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.